package com.students;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.DateFormat;
import java.util.Date;

public class Student implements Comparable {
	private int studentId;
	private String firstName;
	private String surName;
	private String patronymic;
	private Date dateOfBirth;
	private char sex;
	private int groupId;
	private int educationYear;

	public Student(ResultSet rs) throws SQLException {
		setStudentId(rs.getInt("student_id"));
		setFirstName(rs.getString("firstName"));
		setPatronymic(rs.getString("surName"));
		setSurName(rs.getString("patronymic"));
		setSex(rs.getString("sex").charAt(0));
		setDateOfBirth(rs.getDate("dateOfBirth"));
		setGroupId(rs.getInt("group_id"));
		setEducationYear(rs.getInt("educationYear"));
	}

	public Date getDateOfBirth() {
		return dateOfBirth;
	}

	public void setDateOfBirth(Date dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}

	public int getEducationYear() {
		return educationYear;
	}

	public void setEducationYear(int educationYear) {
		this.educationYear = educationYear;
	}

	public int getGroupId() {
		return groupId;
	}

	public void setGroupId(int groupId) {
		this.groupId = groupId;
	}

	public int getStudentId() {
		return studentId;
	}

	public void setStudentId(int studentId) {
		this.studentId = studentId;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getPatronymic() {
		return patronymic;
	}

	public void setPatronymic(String patronymic) {
		this.patronymic = patronymic;
	}

	public String getSurName() {
		return surName;
	}

	public void setSurName(String surName) {
		this.surName = surName;
	}

	public char getSex() {
		return sex;
	}

	public void setSex(char sex) {
		this.sex = sex;
	}

	public String toString() {
		return surName
				+ " "
				+ firstName
				+ " "
				+ patronymic
				+ ", "
				+ DateFormat.getDateInstance(DateFormat.SHORT).format(
						dateOfBirth) + ",  =" + groupId + " :"
				+ educationYear;
	}

	public int compareTo(Object obj) {
		return this.toString().compareTo(obj.toString());
	}
}